/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#include <stdio.h> 
#include "sampclass.h"

int main() {
  int i;
  class Class1 c1_1, c1_2;
  class Class2 c2_1;
  class Class2 *c2_2;

  c1_1 = c2_1.memfun1();
  c1_1.memfun1(10);
  c2_2 = new Class2;
  c1_2 = c2_2->memfun1();
  c1_2.memfun1(10);

  c2_1.memfun2(c1_1);

  delete c2_2;
  return 0;
}
